datacache <- new.env(hash=TRUE, parent=emptyenv())

tilinghuman10r02hsentrezg <- function() showQCData("tilinghuman10r02hsentrezg", datacache)
tilinghuman10r02hsentrezg_dbconn <- function() dbconn(datacache)
tilinghuman10r02hsentrezg_dbfile <- function() dbfile(datacache)
tilinghuman10r02hsentrezg_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
tilinghuman10r02hsentrezg_dbInfo <- function() dbInfo(datacache)

tilinghuman10r02hsentrezgORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "tilinghuman10r02hsentrezg.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "tilinghuman10r02hsentrezg", "chip tilinghuman10r02hsentrezg", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(tilinghuman10r02hsentrezg_dbconn())
}

